.icon-button {
    font-family: 'Neutraface', sans-serif;
    border: none;
    outline: none;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: cover;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 139.99%;
    letter-spacing: 0.01em;
    text-transform: uppercase;
  
    color: #FFFFFF;
    &--search {
      width: 18px;
      height: 18px;
      background-image: url(../images/icon-search.svg);
    }
    &--cart {
      width: 18px;
      height: 18px;
      background-image: url(../images/icon-cart.svg);
    }
    &--flag {
      width: 32px;
      height: 21px;
      background-image: url(../images/icon-flag-au.svg);
    }
}

.button {
    font-family: 'Neutraface', sans-serif;
    padding: 16px 36px;
    border: none;
    transition: opacity 0.4s ease-in-out;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.01em;
    text-transform: uppercase;
    color: #FFFFFF;
    &:hover {
        opacity: 0.9;
    }
    &--dark {
        background: #2D2929;
    }
    &--gold {
        background: #C19E6A;
    }
}